<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

$locale = fusion_get_locale("", LTSU_LOCALE);

$inf_title = $locale['LTSU_00'];
$inf_description = $locale['LTSU_01'];
$inf_version = "1.0";
$inf_developer = "karrak";
$inf_email = "admin@fusionjatek.hu";
$inf_weburl = "https://fusionjatek.hu";
$inf_folder = "latest_user_panel";
$inf_image = "latest_user.png";

$inf_mlt[] = [
    'title'  => $locale['LTSU_02'],
    'rights' => "LTSU"
];

$inf_insertdbrow[] = DB_PANELS." (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_url_list, panel_restriction, panel_languages) VALUES('".$inf_title."', '".$inf_folder."', '', '6', '2', 'file', '0', '1', '1', '".fusion_get_settings('opening_page')."', '2', '".fusion_get_settings('enabled_languages')."')";

// Multilanguage links
$enabled_languages = makefilelist(LOCALE, ".|..", TRUE, "folders");
if (!empty($enabled_languages)) {
    foreach ($enabled_languages as $language) {
        if (file_exists(LTSU_PATH.'locale/'.$language.'/lastuser.php')) {
            include LTSU_PATH.'locale/'.$language.'/lastuser.php';
        } else {
            include LTSU_PATH.'locale/English/lastuser.php';
        }

        $mlt_adminpanel[$language][] = [
            "rights"   => "LTSU",
            "image"    => $inf_image,
            "title"    => $locale['LTSU_07'],
            "panel"    => "admin.php",
            "page"     => 5,
            'language' => $language
        ];

        // Delete
        $mlt_deldbrow[$language][] = DB_ADMIN." WHERE admin_rights = 'LTSU' AND admin_language = '".$language."'";
    }
} else {
    $inf_adminpanel[] = [
        "rights"   => "LTSU",
        "image"    => $inf_image,
        "title"    => $locale['LTSU_07'],
        "panel"    => "admin.php",
        "page"     => 5,
        'language' => LANGUAGE
    ];
}

$inf_deldbrow[] = DB_ADMIN." WHERE admin_rights = 'LTSU'";
$inf_deldbrow[] = DB_PANELS." WHERE panel_filename = '".$inf_folder."'";
$inf_deldbrow[] = DB_LANGUAGE_TABLES." WHERE mlt_rights = 'LTSU'";
